<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author			juan.agudelo
@version 		2.0
@description	Pantalla que muestra el detalle de una solicitud en edición
@cu 			CU-CO-R-01
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros   
                                        Debe contener la función cambioTipoSolicitud.
@param			selectedSolicitudParam:	Objeto de tipo Solicitud que almacenará los valores de la solicitud 
                                        en el formulario Solicitud, debe contener los objetos SolicitanteSolicitud 		
                                        y Tramites asociados
@param			banderaEdicionParam: 	Valor booleano de visualización de edición 

-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="detalleSolicitudEd" columns="1"
             cellspacing="5" width="100%">
    <h:panelGrid id="datosSolicitudEdicion"
                 rendered="#{banderaEdicionParam}" width="100%">
        <h:panelGrid rendered="#{selectedSolicitudParam ne null}" width="100%">
            <h:panelGrid columns="6" cellspacing="3" width="100%">

                <h:outputLabel value="Número de solicitud: "
                               styleClass="outputLabelStyle" />
                <h:panelGrid>
                    <h:inputText disabled="true" readonly="true"
                                 value="#{selectedSolicitudParam.numero}" id="numeroSolicitudIpt"/>
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Fecha de solicitud: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <p:calendar id="fechaSolicitud" effect="explode"
                                value="#{general.fechaActual}" navigator="false"
                                label="Fecha de solicitud" readonly="true" disabled="true"
                                pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                                required="true" title="#{general.formatoFechaUsuario}" size="10" />
                    <p:message for="fechaSolicitud" display="icon"></p:message>
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Tipo de solicitud: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:selectOneMenu id="tipoSolicitudCB" label="Tipo de solicitud"
                                     required="true" value="#{selectedSolicitudParam.tipo}">
                        <f:selectItems value="#{managedBeanParam.solicitudTipoV}" />
                        <p:ajax listener="#{managedBeanParam.cambioTipoSolicitud}"
                                process="@this" update="detalleSolicitudGeneralForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />

                    </h:selectOneMenu>
                    <p:message for="tipoSolicitudCB" display="icon" />
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Folios: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:inputText id="folios" value="#{selectedSolicitudParam.folios}"
                                 size="4" maxlength="4" required="false" label="Folios" />
                    <p:message for="folios" display="icon" />
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Anexos: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:inputText id="anexos" value="#{selectedSolicitudParam.anexos}"
                                 size="4" maxlength="4" required="false" label="Anexos" />
                    <p:message for="anexos" display="icon"></p:message>
                </h:panelGrid>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Doc. correspondencia: "
                                   styleClass="outputLabelStyle" for="tipoDocumentoCorrespondencia" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:selectOneMenu id="tipoDocumentoCorrespondencia"
                                     value="#{selectedSolicitudParam.tipoDocumentoCorrespondencia}">
                        <f:selectItems value="#{general.tipoDocumentoCorrespondenciaCV}" />
                    </h:selectOneMenu>
                    <p:message for="tipoDocumentoCorrespondencia" display="icon" />
                </h:panelGrid>

            </h:panelGrid>

            <h:panelGrid columns="6" cellspacing="3" id="panelFormaDePeticion"
                         rendered="#{selectedSolicitudParam.solicitudTramiteCatastral or selectedSolicitudParam.solicitudAutoavaluo
                                     or selectedSolicitudParam.revisionAvaluo}">

                <h:outputLabel value="Forma de petición: "
                               styleClass="outputLabelStyle" />

                <h:panelGrid columns="2">

                    <h:selectBooleanCheckbox 
                        value="#{managedBeanParam.formaDePeticionDerechoDePeticion}">
                        <p:ajax listener="#{managedBeanParam.seleccionFormaDePeticionDerechoDePeticion}"
                                update="panelFormaDePeticion, asunto"/>
                    </h:selectBooleanCheckbox>

                    <h:outputLabel value="Derecho de petición"
                                   styleClass="outputLabelStyle" />

                    <h:selectBooleanCheckbox 
                        value="#{managedBeanParam.formaDePeticionTutela}">
                        <p:ajax listener="#{managedBeanParam.seleccionFormaDePeticionTutela}"
                                update="panelFormaDePeticion, asunto"/>
                    </h:selectBooleanCheckbox>
                    <h:outputLabel value="Tutela"
                                   styleClass="outputLabelStyle" />

                </h:panelGrid>

                <h:outputLabel value="Forma de trámite: " rendered="#{managedBeanParam.activarFormaDeTramite}"
                               styleClass="outputLabelStyle" />

                <h:panelGrid columns="2" rendered="#{managedBeanParam.activarFormaDeTramite}"
                             id="formaDeTramite">

                    <h:selectBooleanCheckbox 
                        value="#{managedBeanParam.formaDeTramiteTramiteNuevo}">
                        <p:ajax listener="#{managedBeanParam.seleccionFormaTramiteNuevo}"
                                update="formaDeTramite"/>
                    </h:selectBooleanCheckbox>
                    <h:outputLabel value="Trámite nuevo"
                                   styleClass="outputLabelStyle" />

                    <h:selectBooleanCheckbox
                        value="#{managedBeanParam.formaDeTramiteTramiteRadicado}">
                        <p:ajax listener="#{managedBeanParam.seleccionFormaTramiteRadicado}"
                                update="formaDeTramite"/>
                    </h:selectBooleanCheckbox>
                    <h:outputLabel value="Trámite radicado"
                                   styleClass="outputLabelStyle" />

                </h:panelGrid>

            </h:panelGrid>
        </h:panelGrid>

        <p:separator />
        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="1">
                <h:outputLabel value="Asunto: " for="asunto"
                               styleClass="outputLabelStyle" />
                <h:panelGrid columns="2">
                    <h:inputTextarea id="asunto" onkeydown="controlarNroChars(this, 600, true)"
                                     onkeyup="controlarNroChars(this, 600, true)"
                                     value="#{selectedSolicitudParam.asunto}" cols="70" rows="3" />
                    <p:message for="asunto" display="icon" />
                </h:panelGrid>
            </h:panelGrid>
            <h:panelGrid columns="1">
                <h:outputLabel value="Observaciones: " for="observaciones"
                               styleClass="outputLabelStyle" />
                <h:panelGrid columns="2">
                    <h:inputTextarea id="observaciones" onkeydown="controlarNroChars(this, 2000, true)"
                                     onkeyup="controlarNroChars(this, 2000, true)"
                                     value="#{selectedSolicitudParam.observaciones}" cols="70" rows="3" />
                    <p:message for="observaciones" display="icon" />
                </h:panelGrid>
            </h:panelGrid>
        </h:panelGrid>
        <p:spacer width="0" height="10" />


        <p:panel header="Datos de envío" id="datosEnvioPanelId"
                 rendered="#{!selectedSolicitudParam.solicitudAvisos}">
            <h:panelGrid columns="5" cellspacing="7">
                <h:outputLabel value="Sistema envío: " for="sistemaEnvio"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="sistemaEnvio"
                                 value="#{selectedSolicitudParam.sistemaEnvio}">
                    <f:selectItems value="#{general.solicitudSistemaEnvioV}" />
                    <p:ajax process="@this"
                            update="datosEnvioPanelId, resumenSolsSolicitudMsg"
                            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                </h:selectOneMenu>

                <p:spacer height="0" width="7" />
                <h:panelGrid columns="2"
                             rendered="#{selectedSolicitudParam.sistemaEnvio eq '87'}">
                    <h:outputLabel value="Número guía: " for="numeroGuia"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="2"
                             rendered="#{selectedSolicitudParam.sistemaEnvio eq '87'}">
                    <h:inputText id="numeroGuia" label="Número guía"
                                 value="#{selectedSolicitudParam.numeroGuia}" maxlength="20"
                                 required="true" />
                    <p:message for="numeroGuia" display="icon" />
                </h:panelGrid>

            </h:panelGrid>
        </p:panel>

        <ui:include src="datosSolicitudAvisosEdicion.xhtml">
            <ui:param name="solicitudAvisoParam"
                      value="#{selectedSolicitudParam.solicitudAvisoRegistro}" />
            <ui:param name="showComponentParam"
                      value="#{selectedSolicitudParam.solicitudAvisos}" />
            <ui:param name="managedBeanParam" value="#{managedBeanParam}" />
        </ui:include>
    </h:panelGrid>


    <h:panelGrid id="datosSolicitudLectura" columns="1" cellspacing="5"
                 rendered="#{!banderaEdicionParam}" width="100%">

        <h:panelGrid columns="6" cellspacing="10" width="100%">

            <h:outputLabel value="Número de solicitud: "
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedSolicitudParam.numero}"
                          styleClass="outputTextStyle" id="numeroSolicitudOpt"/>

            <h:outputLabel value="Tipo: " styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedSolicitudParam.tipo}"
                          id="SolicitudTipoV" styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="SolicitudTipoV" />
            </h:outputText>

            <h:outputLabel value="Fecha de solicitud: "
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedSolicitudParam.fecha}"
                          styleClass="outputTextStyle">
                <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
            </h:outputText>

            <h:outputLabel value="Folios: " styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedSolicitudParam.folios}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Anexos:" styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedSolicitudParam.anexos}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo documento correspondencia: "
                           styleClass="outputLabelStyle" for="tipoDocumentoCorrespondencia" />
            <h:outputText id="TipoDocumentoCorrespondenciaCV"
                          value="#{selectedSolicitudParam.tipoDocumentoCorrespondencia}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterCB"
                             for="TipoDocumentoCorrespondenciaCV" />
            </h:outputText>
        </h:panelGrid>

        <p:separator />

        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="1">
                <h:outputLabel value="Asunto: " styleClass="outputLabelStyle" />
                <h:inputTextarea disabled="true"	
                                 value="#{selectedSolicitudParam.asunto}" cols="70" rows="3" />
            </h:panelGrid>

            <h:panelGrid columns="1">
                <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" />
                <h:inputTextarea disabled="true"
                                 value="#{selectedSolicitudParam.observaciones}" cols="70" rows="3" />
            </h:panelGrid>
        </h:panelGrid>

        <p:separator />
        <h:panelGrid columns="6" cellspacing="6" width="100%">
            <h:outputLabel value="Sistema envío: " styleClass="outputLabelStyle"
                           rendered="#{selectedSolicitudParam.sistemaEnvio ne null and not empty selectedSolicitudParam.sistemaEnvio}" />
            <h:outputText value="#{selectedSolicitudParam.sistemaEnvio}"
                          styleClass="outputTextStyle" id="SolicitudSistemaEnvioV"
                          rendered="#{selectedSolicitudParam.sistemaEnvio ne null}">
                <f:converter converterId="converterCB" for="SolicitudSistemaEnvioV" />
            </h:outputText>

            <h:outputLabel value="Número guía: " styleClass="outputLabelStyle"
                           rendered="#{selectedSolicitudParam.numeroGuia ne null and not empty selectedSolicitudParam.numeroGuia}" />
            <h:outputText value="#{selectedSolicitudParam.numeroGuia}"
                          styleClass="outputTextStyle"
                          rendered="#{selectedSolicitudParam.numeroGuia ne null}" />

        </h:panelGrid>

        <ui:include src="datosSolicitudAvisosMuestra.xhtml">
            <ui:param name="solicitudAvisoParam"
                      value="#{selectedSolicitudParam.solicitudAvisoRegistro}" />
            <ui:param name="showComponentParam"
                      value="#{selectedSolicitudParam.solicitudAvisos}" />
            <ui:param name="managedBeanParam" value="#{gestionarSolicitudes}" />
        </ui:include>

    </h:panelGrid>
</h:panelGrid>